Permalink
Switch branches/tags
Nothing to show
Find file
Fetching contributors…
Cannot retrieve contributors at this time
220 lines (214 sloc) 9.35 KB
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = "senor_armando"
s.version = "0.0.3"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Infochimps team"]
s.date = "2012-12-18"
s.description = "Helper middlewares for a Goliath (http://goliath.io/) app as used in Infochimps Planet of the APIs"
s.email = "coders@infochimps.org"
s.extra_rdoc_files = [
"LICENSE.txt",
"README.md"
]
s.files = [
".gitignore",
".rspec",
"FEATURES.txt",
"Gemfile",
"LICENSE.txt",
"README.md",
"Rakefile",
"TODO.md",
"VERSION",
"bin/armando_demo_of_async_fibers.rb",
"bin/armando_echo.rb",
"bin/armando_elsewhere.rb",
"bin/armando_proxy.rb",
"bin/armando_raises_hell.rb",
"bin/armando_scrubber.rb",
"bin/armando_sleepy.rb",
"bin/update_gemfile_jail.rb",
"config/app.example.yaml",
"config/app.rb",
"config/app.yaml",
"lib/boot.rb",
"lib/senor_armando.rb",
"lib/senor_armando/endpoint/base.rb",
"lib/senor_armando/endpoint/echo.rb",
"lib/senor_armando/endpoint/elastic_search_query.rb",
"lib/senor_armando/endpoint/proxy.rb",
"lib/senor_armando/error.rb",
"lib/senor_armando/formatters.rb",
"lib/senor_armando/formatters/html.rb",
"lib/senor_armando/formatters/json.rb",
"lib/senor_armando/formatters/jsonp_wrapper.rb",
"lib/senor_armando/formatters/old_apeyeye_format_response.rb",
"lib/senor_armando/formatters/plist.rb",
"lib/senor_armando/formatters/xml.rb",
"lib/senor_armando/formatters/yaml.rb",
"lib/senor_armando/goliath_extensions.rb",
"lib/senor_armando/plugins/statsd_plugin.rb",
"lib/senor_armando/rack/apply_jsonp_callback.rb",
"lib/senor_armando/rack/capture_headers.rb",
"lib/senor_armando/rack/cors_access_control.rb",
"lib/senor_armando/rack/dump_to_console.rb",
"lib/senor_armando/rack/fault_injection.rb",
"lib/senor_armando/rack/favicon.ico",
"lib/senor_armando/rack/favicon.rb",
"lib/senor_armando/rack/force_timeout.rb",
"lib/senor_armando/rack/set_content_type.rb",
"lib/senor_armando/rack/statsd_logger.rb",
"lib/senor_armando/spec/he_help_me_test.rb",
"lib/senor_armando/tasks.rb",
"lib/senor_armando/tasks/rspec.rake",
"lib/senor_armando/tasks/yard.rake",
"lib/use_gemfile_jail.rb",
"senor_armando.gemspec",
"senor_armando.jpeg",
"spec/endpoint/echo_spec.rb",
"spec/endpoint/proxy_spec.rb",
"spec/formatters/json_spec.rb",
"spec/formatters/plist_spec.rb",
"spec/formatters/xml_spec.rb",
"spec/formatters/yaml_spec.rb",
"spec/goliath_extensions_spec.rb",
"spec/hi_level_spec.rb",
"spec/rack/fault_injection_spec.rb",
"spec/rack/force_timeout_spec.rb",
"spec/rack/set_content_type_spec.rb",
"spec/spec_helper.rb"
]
s.homepage = "http://github.com/infochimps-labs/senor_armando"
s.licenses = ["MIT"]
s.require_paths = ["lib"]
s.required_ruby_version = Gem::Requirement.new(">= 1.9.2")
s.rubygems_version = "1.8.24"
s.summary = "Helper middlewares for a Goliath (http://goliath.io/) app as used in Infochimps Planet of the APIs"
s.test_files = [
"spec/endpoint/echo_spec.rb",
"spec/endpoint/proxy_spec.rb",
"spec/formatters/json_spec.rb",
"spec/formatters/plist_spec.rb",
"spec/formatters/xml_spec.rb",
"spec/formatters/yaml_spec.rb",
"spec/goliath_extensions_spec.rb",
"spec/hi_level_spec.rb",
"spec/rack/fault_injection_spec.rb",
"spec/rack/force_timeout_spec.rb",
"spec/rack/set_content_type_spec.rb",
"spec/spec_helper.rb"
]
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<yajl-ruby>, ["~> 0.8.2"])
s.add_runtime_dependency(%q<gorillib>, ["~> 0.1.1"])
s.add_runtime_dependency(%q<configliere>, ["~> 0.4.7"])
s.add_runtime_dependency(%q<goliath>, [">= 0"])
s.add_runtime_dependency(%q<eventmachine>, ["~> 1.0.0.beta.3"])
s.add_runtime_dependency(%q<em-synchrony>, [">= 0"])
s.add_runtime_dependency(%q<em-http-request>, [">= 0"])
s.add_development_dependency(%q<postrank-uri>, ["~> 1.0.9"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_development_dependency(%q<yard>, ["~> 0.6.7"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_development_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_development_dependency(%q<simplecov>, [">= 0"])
s.add_runtime_dependency(%q<yajl-ruby>, ["~> 0.8.2"])
s.add_runtime_dependency(%q<gorillib>, ["~> 0.1.1"])
s.add_runtime_dependency(%q<configliere>, ["~> 0.4.7"])
s.add_runtime_dependency(%q<goliath>, ["~> 0.9.2"])
s.add_runtime_dependency(%q<eventmachine>, ["~> 1.0.0.beta.3"])
s.add_runtime_dependency(%q<em-synchrony>, [">= 0.3.0.beta.1"])
s.add_runtime_dependency(%q<em-http-request>, [">= 1.0.0.beta.4"])
s.add_runtime_dependency(%q<rack>, [">= 1.2.2"])
s.add_runtime_dependency(%q<rack-contrib>, [">= 0"])
s.add_runtime_dependency(%q<rack-respond_to>, ["~> 0.9.8"])
s.add_runtime_dependency(%q<rack-abstract-format>, ["~> 0.9.9"])
s.add_runtime_dependency(%q<async-rack>, [">= 0"])
s.add_runtime_dependency(%q<multi_json>, [">= 0"])
s.add_development_dependency(%q<postrank-uri>, ["~> 1.0.9"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_development_dependency(%q<yard>, ["~> 0.6.7"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_development_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_development_dependency(%q<simplecov>, [">= 0"])
s.add_development_dependency(%q<spork>, ["~> 0.9.0.rc5"])
s.add_development_dependency(%q<watchr>, [">= 0"])
else
s.add_dependency(%q<yajl-ruby>, ["~> 0.8.2"])
s.add_dependency(%q<gorillib>, ["~> 0.1.1"])
s.add_dependency(%q<configliere>, ["~> 0.4.7"])
s.add_dependency(%q<goliath>, [">= 0"])
s.add_dependency(%q<eventmachine>, ["~> 1.0.0.beta.3"])
s.add_dependency(%q<em-synchrony>, [">= 0"])
s.add_dependency(%q<em-http-request>, [">= 0"])
s.add_dependency(%q<postrank-uri>, ["~> 1.0.9"])
s.add_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_dependency(%q<yard>, ["~> 0.6.7"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_dependency(%q<simplecov>, [">= 0"])
s.add_dependency(%q<yajl-ruby>, ["~> 0.8.2"])
s.add_dependency(%q<gorillib>, ["~> 0.1.1"])
s.add_dependency(%q<configliere>, ["~> 0.4.7"])
s.add_dependency(%q<goliath>, ["~> 0.9.2"])
s.add_dependency(%q<eventmachine>, ["~> 1.0.0.beta.3"])
s.add_dependency(%q<em-synchrony>, [">= 0.3.0.beta.1"])
s.add_dependency(%q<em-http-request>, [">= 1.0.0.beta.4"])
s.add_dependency(%q<rack>, [">= 1.2.2"])
s.add_dependency(%q<rack-contrib>, [">= 0"])
s.add_dependency(%q<rack-respond_to>, ["~> 0.9.8"])
s.add_dependency(%q<rack-abstract-format>, ["~> 0.9.9"])
s.add_dependency(%q<async-rack>, [">= 0"])
s.add_dependency(%q<multi_json>, [">= 0"])
s.add_dependency(%q<postrank-uri>, ["~> 1.0.9"])
s.add_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_dependency(%q<yard>, ["~> 0.6.7"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_dependency(%q<simplecov>, [">= 0"])
s.add_dependency(%q<spork>, ["~> 0.9.0.rc5"])
s.add_dependency(%q<watchr>, [">= 0"])
end
else
s.add_dependency(%q<yajl-ruby>, ["~> 0.8.2"])
s.add_dependency(%q<gorillib>, ["~> 0.1.1"])
s.add_dependency(%q<configliere>, ["~> 0.4.7"])
s.add_dependency(%q<goliath>, [">= 0"])
s.add_dependency(%q<eventmachine>, ["~> 1.0.0.beta.3"])
s.add_dependency(%q<em-synchrony>, [">= 0"])
s.add_dependency(%q<em-http-request>, [">= 0"])
s.add_dependency(%q<postrank-uri>, ["~> 1.0.9"])
s.add_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_dependency(%q<yard>, ["~> 0.6.7"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_dependency(%q<simplecov>, [">= 0"])
s.add_dependency(%q<yajl-ruby>, ["~> 0.8.2"])
s.add_dependency(%q<gorillib>, ["~> 0.1.1"])
s.add_dependency(%q<configliere>, ["~> 0.4.7"])
s.add_dependency(%q<goliath>, ["~> 0.9.2"])
s.add_dependency(%q<eventmachine>, ["~> 1.0.0.beta.3"])
s.add_dependency(%q<em-synchrony>, [">= 0.3.0.beta.1"])
s.add_dependency(%q<em-http-request>, [">= 1.0.0.beta.4"])
s.add_dependency(%q<rack>, [">= 1.2.2"])
s.add_dependency(%q<rack-contrib>, [">= 0"])
s.add_dependency(%q<rack-respond_to>, ["~> 0.9.8"])
s.add_dependency(%q<rack-abstract-format>, ["~> 0.9.9"])
s.add_dependency(%q<async-rack>, [">= 0"])
s.add_dependency(%q<multi_json>, [">= 0"])
s.add_dependency(%q<postrank-uri>, ["~> 1.0.9"])
s.add_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_dependency(%q<yard>, ["~> 0.6.7"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_dependency(%q<simplecov>, [">= 0"])
s.add_dependency(%q<spork>, ["~> 0.9.0.rc5"])
s.add_dependency(%q<watchr>, [">= 0"])
end
end